std::runtime_error(3)

NAME
std::runtime_error - One of two subclasses of exception.

SYNOPSIS

Inherits std::exception.

Inherited by std::overflow_error, std::range_error, std::regex_error, std::system_error, and std::underflow_error.

  Public Member Functions
runtime_error (const char *) _GLIBCXX_TXN_SAFE
runtime_error (const runtime_error &)=default
runtime_error (const string &__arg) _GLIBCXX_TXN_SAFE
runtime_error (runtime_error &&) noexcept
runtime_error & operator= (const runtime_error &)=default
runtime_error & operator= (runtime_error &&) noexcept
virtual const char * what () const noexcept

Detailed Description

One of two subclasses of exception. Runtime errors represent problems outside the scope of a program; they cannot be easily predicted and can generally only be caught as the program executes.

Definition at line 219 of file stdexcept.

Author

Generated automatically by Doxygen for libstdc++ from the source code.